<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<title>MNIST Handwritten text recognition using keras</title>
<!-- Bootstrap core CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"/>
<link rel="stylesheet" href="../static/style.css"/>
</head>
  <body>
    <div class="container">
      <div class="header clearfix">
        <h3 class="text-muted">MNIST Handwritten CNN</h3>
      </div>
      <div class="jumbotron">
        <h3 class="jumbotronHeading">Draw the digit inside this Box   </h3>
        <div class="slidecontainer">
          <p>Drag the slider to change the line width.</p>
          <input type="range" min="10" max="50" value="15" id="myRange" />
          <p>Value: <span id="sliderValue"></span></p>
        </div>
        <div class="canvasDiv">
          <canvas id="canvas" width="280" height="280" style="padding-bottom: 20px">
          </canvas>
          <br />
          <p style="text-align:center;">
          <a class="btn btn-success myButton" href="#" role="button">Predict</a>
          <a class="btn btn-primary" href="#" id="clearButton" role="button">Clear</a>
          </p>
        </div>
      </div>
      
      <div class="jumbotron">
        <p id="result">Get your prediction here!!!</p>
      </div>
      <footer class="footer">
        <p>Keras MNIST</p>
      </footer>
    </div>
<!-- /container -->
<script src="http://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="../static/index.js"></script><script type="text/javascript">
$(".myButton").click(function() {
  var canvasObj = document.getElementById("canvas");
  var img = canvasObj.toDataURL();
  $.ajax({
    type: "POST",
    url: "http://xxx.xxx.xxx.xxx:5000/predict/",
    data: img,
    success: function(data){
    console.log("leo");
      $('#result').text(' Predicted Output: '+data);
  }
});
});
</script>
</body>
</html>
